<?php

namespace FiloBlu\AddressFieldsLengthValidation\Helper;

class Data extends \Magento\Framework\Url\Helper\Data {
    public function getConfigValue($path) {
        return $this->scopeConfig->getValue($path, \Magento\Store\Model\ScopeInterface::SCOPE_STORE);
    }

    public function isEnabled() {
        return $this->getConfigValue("filoblu_addressfieldslengthvalidation_section/general/enabled");
    }

    public function getFirstnameLastnameSumLength() {
        if ($this->isEnabled()) {
            return $this->getConfigValue("filoblu_addressfieldslengthvalidation_section/firstname_lastname/sum_length");
        }
        else {
            return false;
        }
    }
    public function getFirstnameLength() {
        if ($this->isEnabled()) {
            return $this->getConfigValue("filoblu_addressfieldslengthvalidation_section/firstname_lastname/firstname_length");
        }
        else {
            return false;
        }
    }
    public function getLastnameLength() {
        if ($this->isEnabled()) {
            return $this->getConfigValue("filoblu_addressfieldslengthvalidation_section/firstname_lastname/lastname_length");
        }
        else {
            return false;
        }
    }
    public function getFirstnameAutocomplete() {
        if ($this->isEnabled()) {
            return $this->getConfigValue("filoblu_addressfieldslengthvalidation_section/firstname_lastname/firstname_autocomplete");
        }
        else {
            return false;
        }
    }
    public function getLastnameAutocomplete() {
        if ($this->isEnabled()) {
            return $this->getConfigValue("filoblu_addressfieldslengthvalidation_section/firstname_lastname/lastname_autocomplete");
        }
        else {
            return false;
        }
    }
    public function getCompanyLength() {
        if ($this->isEnabled()) {
            return $this->getConfigValue("filoblu_addressfieldslengthvalidation_section/firstname_lastname/company_length");
        }
        else {
            return false;
        }
    }
    public function getCompanyStreetSum() {
        if ($this->isEnabled()) {
            return $this->getConfigValue("filoblu_addressfieldslengthvalidation_section/firstname_lastname/company_street_sum");
        }
    }
    public function getCompanyAutocomplete() {
        if ($this->isEnabled()) {
            return $this->getConfigValue("filoblu_addressfieldslengthvalidation_section/firstname_lastname/company_autocomplete");
        }
        else {
            return false;
        }
    }
    public function getStreetLength() {
        if ($this->isEnabled()) {
            return $this->getConfigValue("filoblu_addressfieldslengthvalidation_section/address/street_length");
        }
        else {
            return false;
        }
    }
    public function getStreetAutocomplete() {
        if ($this->isEnabled()) {
            return $this->getConfigValue("filoblu_addressfieldslengthvalidation_section/address/street_autocomplete");
        }
        else {
            return false;
        }
    }
    public function getPostcodeLength() {
        if ($this->isEnabled()) {
            return $this->getConfigValue("filoblu_addressfieldslengthvalidation_section/address/postcode_length");
        }
        else {
            return false;
        }
    }
    public function getPostcodeAutocomplete() {
        if ($this->isEnabled()) {
            return $this->getConfigValue("filoblu_addressfieldslengthvalidation_section/address/postcode_autocomplete");
        }
        else {
            return false;
        }
    }
    public function getCityLength() {
        if ($this->isEnabled()) {
            return $this->getConfigValue("filoblu_addressfieldslengthvalidation_section/address/city_length");
        }
        else {
            return false;
        }
    }
    public function getCityAutocomplete() {
        if ($this->isEnabled()) {
            return $this->getConfigValue("filoblu_addressfieldslengthvalidation_section/address/city_autocomplete");
        }
        else {
            return false;
        }
    }
    public function getRegionLength() {
        if ($this->isEnabled()) {
            return $this->getConfigValue("filoblu_addressfieldslengthvalidation_section/address/region_length");
        }
        else {
            return false;
        }
    }
    public function getRegionAutocomplete() {
        if ($this->isEnabled()) {
            return $this->getConfigValue("filoblu_addressfieldslengthvalidation_section/address/Region_autocomplete");
        }
        else {
            return false;
        }
    }
}
